// file: latp_debug_0.cc
//

// isip include files
//
#include "lattice_path.h"
#include "lattice_path_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) a open file pointer
//  char_1* message: (input) a message to be displayed
//
// return: a logical_1 flag indicating success
//
logical_1 Lattice_path::debug_cc(FILE *fp_a, char_1* message_a) {
  
  // dump the contents of the class to the file
  //
  fprintf(fp_a, "%s::%s word_pos_d = %ld\n", LATTICE_PATH_CLASS_NAME,
	  message_a, word_pos_d);
  fprintf(fp_a, "%s::%s path_type_d = %ld\n", LATTICE_PATH_CLASS_NAME,
	  message_a, path_type_d);
  fprintf(fp_a, "%s::%s score_d = %ld\n", LATTICE_PATH_CLASS_NAME,
	  message_a, score_d);
  fprintf(fp_a, "%s::%s curr_d = %p\n", LATTICE_PATH_CLASS_NAME,
	  message_a, curr_d);
  fprintf(fp_a, "%s::%s prev_d = %p\n", LATTICE_PATH_CLASS_NAME,
	  message_a, prev_d);
        
  // exit gracefully
  //
  return ISIP_TRUE;
}
